×

Discussion Board

Results 1 to 7 of 7

Hybrid View

  1. #1
    Registered User
    Join Date
    Nov 2007
    Posts
    30

    Qt SDK version 1.1.3 without prebuilt NFC?

    Qt SDK 1.1.3 release stated that it should contain Mobility Package 1.2. If I've understood correct, the Mobility package 1.2 should include connectivity am I right? However I can only find Meego headers for NFC and I can't compile out of the box the NFC examples for Nokia C7 for instance.

    Is there such an easy way to do this as it was with the Qt Mobility 1.2 beta for NFC: https://projects.developer.nokia.com/QtM12bSymb? Or do I need to compile Qt Mobility 1.2 manually for each compatible symbian sdk and then set those up for the correct symbian sdks inside Qt SDK 1.1.3?
    Last edited by Haapakanni; 2011-09-06 at 14:08.

  2. #2
    Registered User
    Join Date
    Nov 2007
    Posts
    30

    Re: Qt SDK version 1.1.3 without prebuilt NFC?

    Ok, so here it's said, http://www.developer.nokia.com/Community/Wiki/About_NFC (Overviwe), how to develop NFC apps for Symbian and apparently there's no changes to that yet:

    Development is supported in:

    Qt SDK 1.1, with the Qt Mobility 1.2 beta for Symbian add on for the Qt SDK 1.1 installed
    NetBeans, Eclipse, and Carbide.c++, with the Symbian^3 SDK 1.0 and NFC plug-in for the Nokia Symbian^3 SDK 1.0 installed.
    Last edited by Haapakanni; 2011-09-07 at 06:10.

  3. #3
    Registered User
    Join Date
    Nov 2007
    Posts
    30

    Re: Qt SDK version 1.1.3 without prebuilt NFC?

    Hey, it worked! Actually the build configuration for Qt 4.7.4 Symbian Belle had everything needed to compile NFC or at least I didn't get errors. However after installing 4.7.4+Mobility1.2 to my C7 and then my test application, I couldn't start target detection (return value was all the time false). Is't due to the fact that my C7 is still Anna not Belle? So should I after all get back to using Mobility 1.2 beta + older Qt SDK 1.1 until there will be updates for the Qt SDK? By the way is it already possible to publish NFC enabled Qt app via Ovi Store?

    Here's the code

    nfm = new QNearFieldManager();
    QObject::connect( nfm, SIGNAL(targetDetected ( QNearFieldTarget* ) ), this, SLOT(handleTarget(QNearFieldTarget*)));
    QObject::connect( nfm, SIGNAL(targetLost ( QNearFieldTarget* ) ), this, SLOT(targetLost(QNearFieldTarget*)));
    nfm->setTargetAccessModes(QNearFieldManager::NdefWriteTargetAccess);
    if(!nfm->startTargetDetection())
    QMessageBox::about( NULL, tr( "Error" ), tr("Cannot detect nfc tags") );
    Last edited by Haapakanni; 2011-09-07 at 09:21. Reason: typo due to my poor english ;)

  4. #4
    Nokia Developer Expert
    Join Date
    Dec 2004
    Location
    Austin, TX
    Posts
    399

    Re: Qt SDK version 1.1.3 without prebuilt NFC?

    You should be able to install the Qt Mobility 1.2 and should work on Anna (haven't tried myself yet but will later). See this bug for issue on sis file for S^3: https://bugreports.qt.nokia.com/browse/QTMOBILITY-1835 I post back when I have luck.

  5. #5
    Nokia Developer Expert
    Join Date
    Dec 2004
    Location
    Austin, TX
    Posts
    399

    Re: Qt SDK version 1.1.3 without prebuilt NFC?

    Seems OK trying on Nokia Astound to use the QtM 1.2 sis file from here until an update is posted to fix this: http://labs.qt.nokia.com/2011/04/12/...kage-released/
    That's just checking that QNearFieldManager::isAvailable() returns true.

  6. #6
    Registered User
    Join Date
    Nov 2007
    Posts
    30

    Re: Qt SDK version 1.1.3 without prebuilt NFC?

    Yep, it works: what I did was that I installed "Qt 4.7.4 for Symbian Belle" (maybe not needed but installed anyway) on device and then the qt-mobility-1.2.0-beta1-symbian3-nokia-signed.sis (this mobility beta one fixed the problem of startTargetDetection). Not sure if the 4.7.4 for belle was required to make it work but anyway after all I could use Qt SDK 1.1.3 to compile NFC app which I was able to run in C7. Thanks!

    Now if I try to publish the compiled app I wonder will it be accepted as it is or will there be some binary level issues?

    Quote Originally Posted by timm-ah View Post
    Seems OK trying on Nokia Astound to use the QtM 1.2 sis file from here until an update is posted to fix this: http://labs.qt.nokia.com/2011/04/12/...kage-released/
    That's just checking that QNearFieldManager::isAvailable() returns true.
    Last edited by Haapakanni; 2011-09-13 at 09:49. Reason: typo

  7. #7
    Super Contributor
    Join Date
    Mar 2008
    Posts
    1,481

    Re: Qt SDK version 1.1.3 without prebuilt NFC?

    Quote Originally Posted by Haapakanni View Post
    Hey,..... ... By the way is it already possible to publish NFC enabled Qt app via Ovi Store?

    Here's the code
    Yes it is possible to publish to ovi and there are application already in ovi store

Similar Threads

  1. Changing from Chinesse version to Original version
    By shadowkidd in forum General Development Questions
    Replies: 2
    Last Post: 2010-08-11, 13:53
  2. Finding OS Platform version and firmware version
    By shoban_preeth in forum Symbian
    Replies: 2
    Last Post: 2008-08-11, 13:02
  3. Replies: 1
    Last Post: 2004-10-13, 10:17
  4. Replies: 1
    Last Post: 2003-03-24, 15:35
  5. Lastest version of N7650, and how do weIcheck the version?
    By gjohre in forum Mobile Java General
    Replies: 2
    Last Post: 2002-10-04, 16:02

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •